Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class ThemeScript

    java.lang.Object
      org.jboss.portal.theme.ThemeScript

All Implemented Interfaces:
  ThemeElement

    public final class ThemeScript

extends java.lang.Object
implements ThemeElement

An implementation of a `ThemeScript`.

The script element is responsible for creating the markup that represents a single script tag in the response markup.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  Martin Holzner, Roy Russo
See Also:
  `ThemeElement`

Constructor Summary
`ThemeScript(java.lang.String contextPath, java.lang.String src, java.lang.String id, java.lang.String type, java.lang.String bodyContent, java.lang.String charset)` Create a theme script.

Method Summary
`java.lang.String` | `getAttributeValue(java.lang.String attributeName)` Get the attribute value of the provided attribute, or null if the attribute is not specified in this element
`java.lang.String` | `getElement()` Get the markup of the theme element.
`java.lang.String` | `getScript()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThemeScript

    public ThemeScript(java.lang.String contextPath,
                       java.lang.String src,
                       java.lang.String id,
                       java.lang.String type,
                       java.lang.String bodyContent,
                       java.lang.String charset)

  Create a theme script.

  Parameters:
    `contextPath` - the URI of the servlet context that hosts the resource that the script tag is pointing to
    `src` - the value of the src attribute
    `type` - the value of the type attribute

Method Detail

### getScript

    public java.lang.String getScript()

  See Also:
    `getScript()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### getElement

    public java.lang.String getElement()

  Description copied from interface: `ThemeElement`
  Get the markup of the theme element.

  Specified by:
    `getElement` in interface `ThemeElement`
  Returns:
    the markup that this theme element represents
  See Also:
    `ThemeElement.getElement()`

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String attributeName)

  Description copied from interface: `ThemeElement`
  Get the attribute value of the provided attribute, or null if the attribute is not specified in this element

  Specified by:
    `getAttributeValue` in interface `ThemeElement`
  Parameters:
    `attributeName` - the name of the attribute to get the value for
  Returns:
    a String with the attribute value
  See Also:
    `org.jboss.portal.theme.ThemeElement@getAttributeValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD